com.microfocus.awm.model

## Interface ITaurusEditUtilities

-     public interface ITaurusEditUtilities

  Interface for opening a file descriptor in an editor (or compare editor) with edit support.

  An instance can usually be acquired from an `IHostConnector`.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `openCompareEditor(FileDescriptor pFile1, FileDescriptor pFile2, boolean pLeftSideEdit, IExecutionContext pContext1, IExecutionContext pContext2, org.eclipse.core.runtime.IProgressMonitor pMon)` Open the default compare editor for files corresponding to the giving file descriptors.
    `void` | `openCompareEditor(FileDescriptor pFile1, FileDescriptor pFile2, boolean pLeftSideEdit, IExecutionContext pContext, org.eclipse.core.runtime.IProgressMonitor pMon)` Open the default compare editor for files corresponding to the giving file descriptors.
    `org.eclipse.core.resources.IFile` | `openEditor(IExecutionContext pContext, FileDescriptor pFD, java.lang.String pSuffix, ISystemImage pImg, boolean pReadOnly, int pLine, org.eclipse.core.runtime.IProgressMonitor pMon)` Opens an editor for the given file descriptor.
    `org.eclipse.core.resources.IFile` | `openEditor(IExecutionContext pContext, FileDescriptor pFD, java.lang.String pSuffix, ISystemImage pImg, boolean pReadOnly, int pLine, java.lang.String pEditorID, org.eclipse.core.runtime.IProgressMonitor pMon)` Opens an editor for the given file descriptor.

- - ### Method Detail

    - #### openEditor

          org.eclipse.core.resources.IFile openEditor(IExecutionContext pContext,
                                                      FileDescriptor pFD,
                                                      java.lang.String pSuffix,
                                                      ISystemImage pImg,
                                                      boolean pReadOnly,
                                                      int pLine,
                                                      org.eclipse.core.runtime.IProgressMonitor pMon)
                                               throws TaurusCoreException

      Opens an editor for the given file descriptor.
      Parameters:
        `pContext` - the execution context
        `pFD` - the file descriptor for the file to open
        `pSuffix` - can be `null` if the file name contains a file extension. If no file extension is given, TAURUS will try to find a suffix via file mappings.
        `pImg` - The `ISystemImage` representing the remote connection
        `pReadOnly` - if `true` the file is opened in read only modus
        `pLine` - the line number that should be selected after the editor is opened (can be `0`)
        `pMon` - progress monitor
      Returns:
        the temporary copy of the file that has been opened in the editor
      Throws:
        `TaurusCoreException` - if the file descriptor cannot be opened in the editor

    - #### openEditor

          org.eclipse.core.resources.IFile openEditor(IExecutionContext pContext,
                                                      FileDescriptor pFD,
                                                      java.lang.String pSuffix,
                                                      ISystemImage pImg,
                                                      boolean pReadOnly,
                                                      int pLine,
                                                      java.lang.String pEditorID,
                                                      org.eclipse.core.runtime.IProgressMonitor pMon)
                                               throws TaurusCoreException

      Opens an editor for the given file descriptor.
      Parameters:
        `pContext` - the execution context
        `pFD` - the file descriptor for the file to open
        `pSuffix` - can be `null` if the file name contains a file extension. If no file extension is given, TAURUS will try to find a suffix via file mappings.
        `pImg` - The `ISystemImage` representing the remote connection
        `pReadOnly` - if `true` the file is opened in read only modus
        `pLine` - the line number that should be selected after the editor is opened (can be `0`)
        `pEditorID` - the ID of the editor to open.Can be `null`
        `pMon` - progress monitor
      Returns:
        the temporary copy of the file that has been opened in the editor
      Throws:
        `TaurusCoreException` - if the file descriptor cannot be opened in the editor

    - #### openCompareEditor

          void openCompareEditor(FileDescriptor pFile1,
                                 FileDescriptor pFile2,
                                 boolean pLeftSideEdit,
                                 IExecutionContext pContext,
                                 org.eclipse.core.runtime.IProgressMonitor pMon)
                          throws TaurusCoreException,
                                 TaurusToolException

      Open the default compare editor for files corresponding to the giving file descriptors. The right side of the editor is not editable. The files must be available in the same system image.
      Parameters:
        `pFile1` - the file descriptor of the file to be open in the left side of the compare editor
        `pFile2` - the file descriptor of the file to be open in the right side of the compare editor
        `pLeftSideEdit` - whether the left side of the compare editor is editable
        `pContext` - the execution context to handle with both file descriptors.
        `pMon` - the progress monitor
      Throws:
        `TaurusCoreException` - if the file descriptor type is not supported. Supported type are `EFileTypes.MVSPO_MEMBER` and `EFileTypes.MVSSEQ`
        `TaurusToolException` - cannot occur anymore

    - #### openCompareEditor

          void openCompareEditor(FileDescriptor pFile1,
                                 FileDescriptor pFile2,
                                 boolean pLeftSideEdit,
                                 IExecutionContext pContext1,
                                 IExecutionContext pContext2,
                                 org.eclipse.core.runtime.IProgressMonitor pMon)
                          throws TaurusCoreException,
                                 TaurusToolException

      Open the default compare editor for files corresponding to the giving file descriptors. The right side of the editor is not editable.
      Parameters:
        `pFile1` - the file descriptor of the file to be open in the left side of the compare editor
        `pFile2` - the file descriptor of the file to be open in the right side of the compare editor
        `pLeftSideEdit` - whether the left side of the compare editor is editable
        `pContext1` - the execution context to handle with the first file descriptor
        `pContext2` - the execution context to handle with the second file descriptor
        `pMon` - the progress monitor
      Throws:
        `TaurusCoreException` - if the file descriptor type is not supported. Supported type are `EFileTypes.MVSPO_MEMBER` and `EFileTypes.MVSSEQ`
        `TaurusToolException` - cannot occur anymore

Copyright © 2015 Micro Focus GmbH. All rights reserved.